package com.ifish.dto;

/**
 * 商家会员详细信息DTO
 * @author Administrator
 *
 */
public class ShopsUserInfoDto {
	/**
	 * 用户ID
	 */
	private Integer userId;
	/**
	 * 商家ID
	 */
	private Integer shopsId;
	/**
	 * 会员等级
	 */
	private int memberLevel;
	/**
	 * 用户名称
	 */
	private String userName;
	/**
	 * 手机号码
	 */
	private String phoneNumber;
	/**
	 * 省
	 */
	private String province;
	/**
	 * 市
	 */
	private String city;
	/**
	 * 区
	 */
	private String area;
	/**
	 * 地址
	 */
	private String address;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 设备个数
	 */
	private Integer deviceNum;
	/**
	 * 摄像头个数
	 */
	private Integer cameraNum;
	
	public ShopsUserInfoDto() {}
	
	public ShopsUserInfoDto(Integer userId, Integer shopsId, int memberLevel, Integer deviceNum, Integer cameraNum) {
		this.userId = userId;
		this.shopsId = shopsId;
		this.memberLevel = memberLevel;
		this.deviceNum = deviceNum;
		this.cameraNum = cameraNum;
	}

	public int getMemberLevel() {
		return memberLevel;
	}
	public void setMemberLevel(int memberLevel) {
		this.memberLevel = memberLevel;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getShopsId() {
		return shopsId;
	}
	public void setShopsId(Integer shopsId) {
		this.shopsId = shopsId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public Integer getDeviceNum() {
		return deviceNum;
	}
	public void setDeviceNum(Integer deviceNum) {
		this.deviceNum = deviceNum;
	}
	public Integer getCameraNum() {
		return cameraNum;
	}
	public void setCameraNum(Integer cameraNum) {
		this.cameraNum = cameraNum;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}
	
}
